### A free/open-source library for quantitative finance

Public Member Functions
Interpolation2D::Impl Class Reference

abstract base class for 2-D interpolation implementations More...

`#include <ql/math/interpolations/interpolation2d.hpp>`

Inheritance diagram for Interpolation2D::Impl:
[legend]

List of all members.

## Public Member Functions

virtual void | calculate ()=0
virtual Real | xMin () const =0
virtual Real | xMax () const =0
virtual std::vector< Real > | xValues () const =0
virtual Size | locateX (Real x) const =0
virtual Real | yMin () const =0
virtual Real | yMax () const =0
virtual std::vector< Real > | yValues () const =0
virtual Size | locateY (Real y) const =0
virtual const Matrix & | zData () const =0
virtual bool | isInRange (Real x, Real y) const =0
virtual Real | value (Real x, Real y) const =0

## Detailed Description

abstract base class for 2-D interpolation implementations